Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class XActRelationshipEntry

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.XActRelationshipEntry

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class XActRelationshipEntry

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'XAct Relationship Entry', and utility methods for working with them. abstDomain: V19446 (C-0-D10317-V19446-cpt)

See Also:
  `CDAR2Package.getXActRelationshipEntry()`

Field Summary
`static int` | `COMP` The 'COMP' literal value.
`static XActRelationshipEntry` | `COMP_LITERAL` The 'COMP' literal object.
`static int` | `DRIV` The 'DRIV' literal value.
`static XActRelationshipEntry` | `DRIV_LITERAL` The 'DRIV' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'XAct Relationship Entry' enumerators.

Method Summary
`static XActRelationshipEntry` | `get(int value)` Returns the 'XAct Relationship Entry' literal with the specified integer value.
`static XActRelationshipEntry` | `get(java.lang.String literal)` Returns the 'XAct Relationship Entry' literal with the specified literal value.
`static XActRelationshipEntry` | `getByName(java.lang.String name)` Returns the 'XAct Relationship Entry' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COMP

    public static final int COMP

  The 'COMP' literal value.

  If the meaning of 'COMP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `COMP_LITERAL`, Constant Field Values

### DRIV

    public static final int DRIV

  The 'DRIV' literal value.

  If the meaning of 'DRIV' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DRIV_LITERAL`, Constant Field Values

### COMP_LITERAL

    public static final XActRelationshipEntry COMP_LITERAL

  The 'COMP' literal object.

  See Also:
    `COMP`

### DRIV_LITERAL

    public static final XActRelationshipEntry DRIV_LITERAL

  The 'DRIV' literal object.

  See Also:
    `DRIV`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'XAct Relationship Entry' enumerators.

Method Detail

### get

    public static XActRelationshipEntry get(java.lang.String literal)

  Returns the 'XAct Relationship Entry' literal with the specified literal value.

### getByName

    public static XActRelationshipEntry getByName(java.lang.String name)

  Returns the 'XAct Relationship Entry' literal with the specified name.

### get

    public static XActRelationshipEntry get(int value)

  Returns the 'XAct Relationship Entry' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD